import { ControllerInfo } from "../../model/reflection/ControllerInfo";
import { EndpointInfo } from "../../model/reflection/EndpointInfo";
export declare class DecoratorRegistry {
    static readonly Endpoints: {
        [key: string]: EndpointInfo;
    };
    static readonly Controllers: {
        [key: string]: ControllerInfo;
    };
    static getOrCreateController(constructor: Function): ControllerInfo;
    static getOrCreateEndpoint(controller: ControllerInfo, methodName: string): EndpointInfo;
}
