import { interfaces } from "inversify/dts/interfaces/interfaces";
import { EndpointInfo } from "./EndpointInfo";
import { ErrorInterceptor } from "../../api/error/ErrorInterceptor";
export declare class ControllerInfo {
    readonly name: string;
    readonly classConstructor: Function;
    path?: string;
    produces?: string;
    rolesAllowed?: string[];
    errorInterceptor?: interfaces.ServiceIdentifier<ErrorInterceptor>;
    endpoints: Map<string, EndpointInfo>;
    constructor(name: string, classConstructor: Function);
}
