import { interfaces } from "inversify/dts/interfaces/interfaces";
import { ControllerInfo } from "./ControllerInfo";
import { ErrorInterceptor } from "../../api/error/ErrorInterceptor";
import { IParameterExtractor } from "../../api/parameters/IParameterExtractor";
export declare class EndpointInfo {
    readonly name: string;
    readonly controller: ControllerInfo;
    readonly methodName: string;
    readonly method: Function;
    readonly parameterExtractors: IParameterExtractor[];
    httpMethod: string;
    path?: string;
    produces?: string;
    rolesAllowed?: string[];
    errorInterceptor?: interfaces.ServiceIdentifier<ErrorInterceptor>;
    constructor(name: string, controller: ControllerInfo, methodName: string);
}
